clang 10.0.0git

Macros | Typedefs
stddef.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | __STDDEF_H
#define | __need_ptrdiff_t
#define | __need_size_t
#define | __need_wchar_t
#define | __need_NULL
#define | __need_STDDEF_H_misc
#define | _PTRDIFF_T
#define | _SIZE_T
#define | _WCHAR_T
#define | NULL ((void*)0)
#define | offsetof(t, d) __builtin_offsetof(t, d)

## Typedefs
typedef __PTRDIFF_TYPE__ | ptrdiff_t
typedef __SIZE_TYPE__ | size_t
typedef __WCHAR_TYPE__ | wchar_t

## Macro Definition Documentation

## ◆ __need_NULL

#define __need_NULL

Definition at line 24 of file stddef.h.

## ◆ __need_ptrdiff_t

#define __need_ptrdiff_t

Definition at line 21 of file stddef.h.

## ◆ __need_size_t

#define __need_size_t

Definition at line 22 of file stddef.h.

## ◆ __need_STDDEF_H_misc

#define __need_STDDEF_H_misc

Definition at line 25 of file stddef.h.

## ◆ __need_wchar_t

#define __need_wchar_t

Definition at line 23 of file stddef.h.

## ◆ __STDDEF_H

#define __STDDEF_H

Definition at line 19 of file stddef.h.

## ◆ _PTRDIFF_T

#define _PTRDIFF_T

Definition at line 33 of file stddef.h.

## ◆ _SIZE_T

#define _SIZE_T

Definition at line 44 of file stddef.h.

## ◆ _WCHAR_T

#define _WCHAR_T

Definition at line 69 of file stddef.h.

## ◆ NULL

#define NULL ((void*)0)

Definition at line 89 of file stddef.h.

## ◆ offsetof

#define offsetof | ( |  | t,
|  |  | d
| ) |  | __builtin_offsetof(t, d)

Definition at line 104 of file stddef.h.

Referenced by clang::RopePieceBTree::erase().

## Typedef Documentation

## ◆ ptrdiff_t

typedef __PTRDIFF_TYPE__ ptrdiff_t

Definition at line 35 of file stddef.h.

## ◆ size_t

typedef __SIZE_TYPE__ size_t

Definition at line 46 of file stddef.h.

## ◆ wchar_t

typedef __WCHAR_TYPE__ wchar_t

Definition at line 74 of file stddef.h.